ADDUSER(8)

NUME
adduser, addgroup - adaugă sau gestionează utilizatori sau grupuri

SINOPSIS
adduser [--add-extra-groups] [--allow-all-names] [--allow-bad-names] [--comment comentariu] [--conf fișier] [--debug] [--disabled-login] [--disabled-password] [--encrypt-home] [--firstgid id] [--firstuid id] [--force-home] [--gid id] [--home director] [--ingroup grup] [--lastgid id] [--lastuid id] [--no-create-home] [--no-copy-skel] [--shell shell] [--quiet] [--uid id] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] utilizator
adduser --system [--comment comentariu] [--conf fișier] [--debug] [--gid id] [--group] [--home director] [--ingroup grup] [--no-create-home] [--no-copy-skel] [--shell shell] [--uid id] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] utilizator
adduser --unlock [--system] utilizator
adduser --group [--conf fișier] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] grup
addgroup [--conf fișier] [--debug] [--firstgid id] [--gid ID] [--lastgid id] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] grup
addgroup --system [--gid id] [--conf fișier] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] grup
adduser [--conf fișier] [--debug] [--quiet] [--verbose] [--stdoutmsglevel prioritatea] [--stderrmsglevel prioritatea] [--logmsglevel prioritatea] utilizator grup
adduser --help
adduser --version

DESCRIPTION
adduser și addgroup adaugă utilizatori și grupuri în sistem conform opțiunilor din linia de comandă și informațiilor de configurare din /etc/adduser.conf. Acestea sunt interfețe mai specifice Debian pentru programele useradd, groupadd și usermod, care sunt mai agnostice față de distribuție. adduser și addgroup aleg în mod implicit valori UID și GID conforme cu politica Debian, creează un .director personal cu o configurație ce urmează șablonul (scheletul) din „/etc/skel” rulează un script personalizat și au alte caracteristici.

adduser și addgroup sunt concepute ca un strat de politică, facilitând întreținătorilor de pachete și administratorilor locali să creeze conturi de sistem locale în modul în care Debian se așteaptă să fie create, luând sarcina de a se adapta la specificațiile probabil schimbătoare ale politicii Debian. adduser --system acordă o atenție deosebită faptului că are nevoie doar de un singur apel în scripturile de menținere a pachetului, fără nici o completare condițională, suprimare a erorilor sau alte eșafodaje.

adduser respectă distincția dintre utilizatori și grupuri de sistem alocate dinamic și conturi de utilizator alocate dinamic care este documentată în Politica Debian, Capitolul 9.2.2.

Pentru o listă completă și explicații ale tuturor opțiunilor, consultați secțiunea OPȚIUNI.

adduser și addgroup pot fi rulate în unul din cele cinci moduri de operare:

  Adaugă un utilizator obișnuit („non-sistem”)
Dacă este apelat cu un argument neopțional și fără opțiunile --system sau --group, adduser va adăuga un utilizator obișnuit, adică un cont de utilizator alocat dinamic în sensul politicii Debian. Acesta este denumit în mod obișnuit în adduser ca utilizator obișnuit (non-sistem).

If adduser is called with the --unlock option, it will search for an existing account, and ensure it is unlocked. If the user is not found, adduser will return an error. See Unlock an account below for more details.

adduser va alege primul UID disponibil din intervalul specificat de FIRST_UID și LAST_UID în fișierul de configurare. Intervalul poate fi depășit cu opțiunile --firstuid și --lastuid. În cele din urmă, UID poate fi definit complet manual cu opțiunea --uid.

În mod implicit, fiecare utilizator primește un grup corespunzător cu același nume. Acest lucru se numește în mod obișnuit Usergroups și permite menținerea cu ușurință a directoarelor de grupuri inscriptibile prin plasarea utilizatorilor corespunzători în noul grup, activarea bitului set-group-ID în director și asigurarea faptului că toți utilizatorii utilizează o valoare «umask» de 002 la crearea fișierelor.

Pentru un grup de utilizatori, adduser va alege primul GID disponibil din intervalul specificat de FIRST_GID și LAST_GID în fișierul de configurare. Intervalul poate fi suprascris cu opțiunile --firstgid și --lastgid. În final, GID poate fi definit complet manual cu opțiunea --gid.

Interacțiunea dintre USERS_GID, USERS_GROUP și USERGROUPS este explicată în detaliu în adduser.conf(5).

Grupul primar al noului utilizator poate fi, de asemenea, modificat din linia de comandă cu opțiunile --gid sau --ingroup pentru a defini grupul după id, respectiv nume. De asemenea, utilizatorii pot fi adăugați la unul sau mai multe grupuri suplimentare definite ca EXTRA_GROUPS fie prin stabilirea lui ADD_EXTRA_GROUPS la 1 în fișierul de configurare, fie prin trecerea lui --add-extra-groups în linia de comandă.

adduser va copia fișiere din /etc/skel în directorul personal și va solicita câmpul de comentarii și o parolă dacă aceste funcții nu au fost dezactivate / suprascrise din linia de comandă.

UID, comentariul, directorul personal și shell-ul pot fi predeterminate cu opțiunea UID_POOL și GID_POOL, documentate în adduser.conf(5). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1).

  Adaugă un utilizator de sistem
Dacă este apelat cu un argument neopțional și opțiunea --system, adduser va adăuga un utilizator de sistem alocat dinamic, adesea abreviat ca utilizator de sistem în contextul pachetului adduser.

If the user already exists and is a system account, then adduser will ensure the account is unlocked and return successfully. See Unlock a user account below.

adduser va alege primul UID disponibil din intervalul specificat de FIRST_SYSTEM_UID și LAST_SYSTEM_UID în fișierul de configurare. Acest lucru poate fi modificat cu opțiunea --uid.

În mod implicit, utilizatorilor sistemului li se atribuie nogrup ca grup primar. Pentru a plasa noul utilizator de sistem într-un grup deja existent, utilizați opțiunile --gid sau --ingroup. Dacă este dată opțiunea --group și grupul cu nume identic nu există deja, acesta este creat cu același ID.

Dacă nu este specificat niciun director personal, directorul personal implicit pentru un nou utilizator de sistem este /nonexistent. Acest director nu ar trebui să existe niciodată pe niciun sistem Debian, iar adduser nu îl va crea niciodată automat.

Dacă este specificat un director personal cu opțiunea --home, iar directorul există deja (de exemplu, dacă pachetul este livrat cu fișiere în acel director), adduser nu stabilește în mod silențios proprietarul directorului pentru utilizatorul nou creat. Stabilirea proprietarului ar putea anula o decizie a administratorului local, iar raportarea acestui fapt ar rupe tăcerea lui adduser în timpul instalării pachetului. Dacă utilizați adduser --home în scripturile de întreținere a pachetului dumneavoastră, ați putea dori să emiteți un chown recursiv explicit pentru directorul personal după apelul la adduser.

Unless a shell is explicitly set with the --shell option, the new system user will have the shell set to /usr/sbin/nologin. adduser --system does not set a password for the new account. It is an error if adduser --system is called for an account that has a password. Skeletal configuration files are not copied.

Alte opțiuni se vor comporta la fel ca pentru crearea unui utilizator obișnuit. Fișierele menționate de UID_POOL și GID_POOL sunt, de asemenea, onorate.

  Unlock a user account
If called with the --unlock option, adduser will unlock an existing, previously locked account. If found, the user's password will be re-enabled, and expiry restrictions will be removed. Any previous expiry settings will have to be added manually after unlocking the account.

  Adaugă un grup
Dacă adduser este apelat cu opțiunea --group și fără opțiunea --system sau, respectiv, addgroup este apelat, va fi adăugat un grup de utilizatori.

Un grup de sistem alocat dinamic, adesea abreviat ca grup de sistem în contextul pachetului adduser, va fi creat dacă adduser --group sau addgroup sunt apelate cu opțiunea --system.

Un GID va fi ales din intervalul respectiv specificat pentru GID-uri în fișierul de configurare (FIRST_GID, LAST_GID, FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Pentru a anula acest mecanism, puteți specifica GID-ul utilizând opțiunea --gid.

Pentru grupurile non-sistem, intervalul specificat în fișierul de configurare poate fi suprascris cu opțiunile --firstgid și --lastgid.

Grupul este creat fără membri.

  Adaugă un utilizator existent la un grup existent
Dacă este apelat cu două argumente neopționale, adduser va adăuga un utilizator existent la un grup existent.

OPȚIUNI
Diferitele moduri de operare ale adduser permit opțiuni diferite. În cazul în care nu sunt enumerate moduri valide pentru o opțiune, aceasta este acceptată în toate modurile.

Versiunile scurte pentru anumite opțiuni pot exista din motive istorice. Acestea vor rămâne acceptate, dar sunt eliminate din documentație. Utilizatorii sunt sfătuiți să migreze la versiunea lungă a opțiunilor.

--add-extra-groups
    Adaugă noul utilizator la grupurile suplimentare definite în opțiunea EXTRA_GROUPS a fișierelor de configurare. Vechea ortografie --add_extra_groups este depreciată și va fi acceptată numai în Debian bookworm. Moduri valabile: adduser, adduser --system.

--allow-all-names
    Permite orice nume de utilizator și de grup care este acceptat de useradd(8). A se vedea mai jos secțiunea NUME VALIDE. Moduri valabile: adduser, adduser --system, addgroup, addgroup --system.

--allow-bad-names
    Dezactivează verificarea NAME_REGEX și SYS_NAME_REGEX a numelor. Se aplică doar o verificare mai slabă a validității numelui. A se vedea mai jos secțiunea „NUME VALIDE”. Moduri valabile: adduser, adduser --system, addgroup, addgroup --system.

--comment comentariu
    Definește câmpul de comentarii pentru noua intrare generată. adduser nu va solicita informațiile dacă este dată această opțiune. Acest câmp este cunoscut și sub numele de câmp GECOS și conține informații care sunt utilizate de comanda finger(1). Aceasta obișnuia să fie opțiunea --gecos, care este depreciată și va fi eliminată după Debian bookworm. Moduri valabile: adduser, adduser --system.

--conf fișier
    Va utiliza fișier în loc de /etc/adduser.conf. Pot fi date mai multe opțiuni --conf.

--debug
    Sinonim cu --stdoutmsglevel=debug. Depreciată.

--disabled-login
--disabled-password
    Nu rulează passwd(1) pentru a stabili o parolă. În majoritatea situațiilor, autentificările sunt totuși posibile (de exemplu, folosind chei SSH sau prin PAM) din motive care depășesc domeniul de aplicare al adduser. --disabled-login va defini în plus shell-ul la /usr/sbin/nologin. Mod valid: adduser.

--firstuid ID
--lastuid ID
--firstgid ID
--lastgid ID
    Suprascrie primul UID / ultimul UID / primul GID / ultimul GID din intervalul din care este ales uid-ul (FIRST_UID, LAST_UID, FIRST_GID și LAST_GID, FIRST_SYSTEM_UID, LAST_SYSTEM_UID, FIRST_SYSTEM_GID și LAST_SYSTEM_GID în fișierul de configurare). Dacă un grup este creat ca grup de utilizatori, --firstgid și --lastgid sunt ignorate. Grupul primește același ID ca și utilizatorul. Moduri valabile: adduser, adduser --system, pentru --firstgid și --lastgid și de asemenea addgroup.

--force-badname
--allow-badname
    Acestea sunt formele depreciate ale --allow-bad-names. Acestea vor fi eliminate în timpul ciclului de lansare a versiunii Debian 13.

--gid ID
    Atunci când se creează un grup, această opțiune stabilește numărul ID-ului de grup al noului grup la GID. La crearea unui utilizator, această opțiune stabilește numărul ID-ului grupului primar al noului utilizator la GID. Moduri valabile: adduser, adduser --system, addgroup, addgroup --system.

--group
    Utilizarea acestei opțiuni în adduser --system indică faptul că noul utilizator trebuie să primească un grup cu nume identic ca grup primar. Dacă acel grup cu nume identic nu este deja prezent, acesta este creat. Dacă nu este combinat cu --system, este creat un grup cu numele dat. Aceasta din urmă este acțiunea implicită dacă programul este invocat ca addgroup. Moduri valabile: adduser --system, addgroup, addgroup --system.

--help
    Afișează un mesaj de utilizare succint.

--home dir
    Utilizează director ca director personal al utilizatorului, în locul celui implicit specificat de fișierul de configurare (sau /nonexistent dacă se utilizează adduser --system). Dacă directorul nu există, acesta este creat. Moduri valabile: adduser, adduser --system.

--ingroup GRUP
    La crearea unui utilizator, această opțiune stabilește numărul ID al grupului primar al noului utilizator la GID al grupului numit. Spre deosebire de opțiunea --gid, grupul este specificat aici prin nume și nu prin numărul ID-ului numeric. Grupul trebuie să existe deja. Moduri valabile: adduser, adduser --system.

--lastuid ID
--lastgid ID
    Suprascrie ultimul UID / ultimul GID. A se vedea --firstuid.

--no-create-home
    Nu creează un director personal pentru noul utilizator. Rețineți că numele rutei pentru directorul personal al noului utilizator va fi totuși introdus în câmpul corespunzător din fișierul /etc/passwd. Utilizarea acestei opțiuni nu implică faptul că acest câmp trebuie să fie gol. Mai degrabă, aceasta indică lui adduser că un alt mecanism va fi responsabil pentru inițializarea directorului personal al noului utilizator. Moduri valabile: adduser, adduser --system.

--force-home
    Assume the home directory does already exist and has been taken care of by the local administrator. chown the directory to the newly created user and populate it with the files from /etc/skel without double checking. This allows to put new home directories on an md, lvm, or dm-crypt device. Valid modes: adduser.

--no-copy-skel
    Do not populate the home directory for the new user with files from /etc/skel. If the home directory is newly created, it will be empty. Valid modes: adduser, adduser --system.

--quiet
    Sinonim cu --stdoutmsglevel=warn. Depreciată.

--shell shell
    Utilizează shell ca shell de autentificare a utilizatorului, în locul celui implicit specificat de fișierul de configurare (sau /usr/sbin/nologin dacă se utilizează adduser --system). Moduri valabile: adduser, adduser --system.

--system
    În mod normal, adduser creează conturi de utilizator și grupuri alocate dinamic așa cum este definit în Politica Debian, Capitolul 9.2.2. Cu această opțiune, adduser creează un utilizator și grup de sistem alocate dinamic și respectiv îi modifică modul. Moduri valabile: adduser, addgroup.

--uid ID
    Forțează noul ID de utilizator să fie numărul dat. adduser va eșua dacă ID-ul de utilizator este deja ocupat. Moduri valabile: adduser, adduser --system.

--verbose
    Sinonim cu --stdoutmsglevel=info. Depreciată.

--stdoutmsglevel prioritatea
--stderrmsglevel prioritatea
--logmsglevel prioritatea
    Prioritatea minimă pentru mesajele înregistrate la syslog/journal și, respectiv, la consolă. Valorile sunt trace, debug, info, warn, err și fatal. Mesajele cu prioritatea stabilită aici sau mai mare sunt imprimate pe mediul respectiv. Mesajele imprimate la ieșirea de eroare standard (stderr) nu sunt repetate la ieșirea standard (stdout). Acest lucru permite administratorului local să controleze în mod independent conversația lui adduser pe consolă și în jurnal, păstrând pentru sine informațiile probabil derutante și lăsând în același timp informații utile în jurnal. stdoutmsglevel, stderrmsglevel și logmsglevel sunt implicit warn, warn, respectiv info.

-v , --version
    Afișează versiunea și informațiile privind drepturile de autor.

NUME VALIDE
Din punct de vedere istoric, adduser(8) și addgroup(8) au impus conformitatea cu IEEE Std 1003.1-2001, care permite numai următoarele caractere să apară în numele de grup și de utilizator: litere, cifre, liniuțe de subliniere, puncte, semne (@) și liniuțe de unire. Numele nu poate începe cu o liniuță de unire sau @. Semnul „$” este permis la sfârșitul numelor de utilizator pentru a permite conturi tipice de mașină Samba.

Valorile implicite pentru NAME_REGEX și SYS_NAME_REGEX permit ca numele de utilizator să conțină litere și cifre, plus liniuța de unire (-) și cea de subliniere (_); numele trebuie să înceapă cu o literă (sau cu o liniuță de subliniere pentru utilizatorii sistemului).

Cea mai puțin restrictivă politică, disponibilă prin utilizarea opțiunii --allow-all-names, face pur și simplu aceleași verificări ca useradd(8). Vă rugăm să rețineți că verificările useradd au devenit puțin mai restrictive în Debian 13.

Modificarea comportamentului implicit poate fi utilizată pentru a crea nume confuze sau înșelătoare; utilizați cu precauție.

JURNALIZAREA
adduser utilizează o jurnalizare extinsă și configurabilă pentru a-și adapta nivelul de detaliere al informațiilor la nevoile administratorului de sistem. Every message that adduser prints has a priority value assigned by the authors. This priority can not be changed at run time. Available priority values are fatal, error, warn, info, debug, and trace. Dacă observați că un mesaj are o prioritate greșită, vă rugăm să depuneți un raport de eroare. De fiecare dată când este generat un mesaj, codul decide dacă să imprime mesajul la ieșirea standard, ieșirea de eroare standard sau syslog. Acest lucru este controlat în principal și independent de opțiunile de configurare STDOUTMSGLEVEL, STDERRMSGLEVEL și LOGMSGLEVEL. În scopuri de testare, aceste opțiuni pot fi anulate în linia de comandă. Numai mesajele cu o prioritate mai mare sau egală cu nivelul mesajului respectiv sunt înregistrate pe mediul de ieșire respectiv. Un mesaj care a fost scris la ieșirea de eroare standard nu este scris a doua oară la ieșirea standard.

VALORI DE IEȘIRE

0   Succes: Utilizatorul sau grupul există conform specificațiilor. Acest lucru poate avea două cauze: Utilizatorul sau grupul a fost creat prin acest apel la adduser sau utilizatorul sau grupul era deja prezent în sistem așa cum s-a specificat înainte ca adduser să fie invocat. Dacă adduser --system este invocat pentru un utilizator deja existent cu atributele solicitate sau compatibile, se va returna 0.

11  Obiectul pe care adduser a fost solicitat să îl creeze există deja.

12  Obiectul pe care adduser sau deluser a fost solicitat să opereze nu există.

13  Obiectul asupra căruia adduser sau deluser a fost solicitat să opereze nu are proprietățile necesare pentru finalizarea operațiunii: Un utilizator (un grup) a cărui creare a fost solicitată ca utilizator (grup) de sistem există deja și nu este un utilizator (grup) de sistem, sau un utilizator (grup) a cărui creare a fost solicitată cu un anumit UID (GID) există deja și are un UID (GID) diferit, sau un utilizator (grup) de sistem a cărui ștergere a fost solicitată există, dar nu este un utilizator (grup) de sistem.

21  UID-ul (GID-ul) care a fost solicitat explicit pentru un nou utilizator (grup) este deja utilizat.

22  Nu există niciun UID (GID) disponibil în intervalul solicitat.

23  Nu există niciun grup cu GID-ul solicitat pentru grupul primar pentru un utilizator nou.Nu există niciun UID (GID) disponibil în intervalul solicitat.

31  The chosen name or comment for a new user or a new group does not conform to the selected naming rules.

32  Directorul personal al unui utilizator nou trebuie să fie o rută absolută.

33  «useradd» a returnat codul de ieșire 19 „nume de utilizator sau de grup nevalid”. Aceasta înseamnă că numele de utilizator sau de grup ales nu se încadrează în restricțiile «useradd» și «adduser» nu poate crea utilizatorul.

41  Grupul a cărui ștergere a fost solicitată nu este gol.

42  Utilizatorul care a fost solicitat să fie eliminat dintr-un grup nu este membru al acestui grup.

43  Nu este posibil să eliminați un utilizator din grupul său primar sau să nu selectați niciun grup primar pentru un utilizator nou prin nicio metodă.

51  S-a detectat un număr sau o ordine incorectă a parametrilor liniei de comandă.

52  Opțiuni incompatibile stabilite în fișierul de configurare.

53  Au fost detectate opțiuni de linie de comandă reciproc incompatibile.

54  adduser și deluser invocate ca non-root și, prin urmare, nu pot funcționa.

55  deluser va refuza să șteargă contul root.

56  A fost solicitată o funcție care necesită instalarea mai multor pachete. Consultați Recommends: și Suggests: ale pachetului adduser.

61  adduser a fost întrerupt din anumite motive și a încercat să anuleze modificările efectuate în timpul execuției.

62  Eroare internă adduser. Acest lucru nu ar trebui să se întâmple. Vă rugăm să încercați să reproduceți problema și să depuneți un raport de eroare.

71  Eroare la crearea și gestionarea blocării.

72  Eroare la accesarea fișierului (fișierelor) de configurare.

73  Eroare la accesarea unui fișier bază de date (pool)

74  Eroare la citirea unui fișier bază de date (pool), eroare de sintaxă în fișier.

75  Eroare la accesarea fișierelor auxiliare.

81  An executable that is needed by adduser or deluser cannot be found. Check your installation and dependencies.

82  Executarea unei comenzi externe a returnat o eroare neașteptată.

83  O comandă externă a fost terminată cu un semnal.

84  Un apel sistemic s-a încheiat cu o eroare neașteptată.

Sau pentru multe alte motive încă nedocumentate care sunt imprimate apoi în consolă. Ați putea lua în considerare să creșteți nivelul de jurnalizare pentru a face adduser maii „vorbăreț” ;).

SECURITATE
adduser are nevoie de privilegii root și oferă, prin opțiunea de linie de comandă --conf, posibilitatea de a utiliza diferite fișiere de configurare. Nu utilizați sudo(8) sau instrumente similare pentru a oferi privilegii parțiale lui adduser cu parametri restricționați ai liniei de comandă. Acest lucru este ușor de eludat și ar putea permite utilizatorilor să creeze conturi arbitrare. Dacă doriți acest lucru, luați în considerare scrierea propriului script și acordarea de privilegii pentru executarea scriptului respectiv.

FIȘIERE

/etc/adduser.conf
    Fișierul de configurare implicit pentru adduser(8) și addgroup(8)

/usr/local/sbin/adduser.local
    Suplimente personalizate opționale, consultați adduser.local(8)

NOTE
Din păcate, termenul cont de sistem suferă de o dublă utilizare în Debian. Acesta înseamnă atât un cont pentru sistemul Debian real, deosebindu-se de un cont de aplicație care ar putea exista în baza de date de utilizatori a unei aplicații care rulează pe Debian. Un cont de sistem în această definiție are potențialul de a se conecta la sistemul real, are un UID, poate fi membru în grupuri de sistem, poate deține fișiere și procese. Politica Debian, dimpotrivă, în capitolul său 9.2.2, face o distincție între utilizatori și grupuri de sistem alocate dinamic și conturi de utilizator alocate dinamic, însemnând în ambele cazuri instanțe speciale ale conturilor de sistem. Trebuie să se acorde atenție pentru a nu se confunda această terminologie. Deoarece adduser și deluser(8) nu se referă niciodată la conturi de aplicații și tot ceea ce se află în acest pachet se referă aici la conturi de sistem, utilizarea termenilor cont de utilizator și cont de sistem nu este de fapt ambiguă în contextul acestui pachet. Din motive de claritate, prezentul document utilizează definiția cont sau grup local de sistem dacă este necesară distincția față de conturi de aplicații sau conturi gestionate într-un serviciu de directoare.

adduser obișnuia să aibă viziunea de a fi interfața universală pentru diferitele servicii de directoare pentru crearea și ștergerea conturilor obișnuite și de sistem în Debian încă din anii 1990. Această viziune a fost abandonată din 2022. Raționamentul din spatele acestei decizii include: că, în practică, un sistem de servere mic nu va avea oricum acces în scris la un serviciu de directoare la nivel de întreprindere, că pachetele instalate local sunt greu de gestionat cu conturi de sistem controlate la nivel central, că serviciile de directoare la nivel de întreprindere au oricum propriile procese de gestionare și că este puțin probabil ca forța de muncă a echipei adduser să fie vreodată suficient de puternică pentru a scrie și menține suportul pentru multitudinea de servicii de directoare care necesită suport.

adduser se va limita la a fi un strat de politică pentru gestionarea conturilor sistemului local, folosind instrumentele din pachetul passwd pentru operația propriu-zisă.

Group membership changes do not affect processes that are already running. When a user is added to a group, the new membership becomes effective only for sessions started after the change. This behavior is a common source of confusion for administrators who expect the results of adduser user group to apply immediately to existing sessions. To make the new group membership available immediately, the user must start a new login session. Alternatively, the newgrp(1) command can be used to start a new shell with the updated group membership. This behavior is a fundamental property of Unix-like operating systems and cannot be altered by adduser.

ERORI
Utilizarea inconsecventă a terminologiei în jurul termenului cont de sistem „system account” în documente și cod este o eroare. Vă rugăm să raportați acest lucru și să ne permiteți să ne îmbunătățim documentele.

adduser acordă o atenție specială pentru a putea fi utilizat direct în scripturile de menținere Debian fără completări condiționale, suprimarea erorilor și alte eșafodaje. Singurul lucru pe care întreținătorul pachetului ar trebui să îl codifice este o verificare a prezenței executabilului în scriptul „postrm”. Responsabilii cu menținerea adduser consideră că necesitatea unui eșafodaj suplimentar este o eroare și își încurajează colegii responsabili cu menținerea pachetelor Debian să depună erori împotriva pachetului adduser în acest caz.

CONSULTAȚI ȘI
adduser.conf(5), deluser(8), groupadd(8), useradd(8), usermod(8), /usr/share/doc/base-passwd/users-and-groups.html pe orice sistem Debian, Debian Policy 9.2.2, RFC8264 „PRECIS Framework: Preparation, Enforcement, and Comparison of Internationalized Strings in Application Protocols”, RFC8265 «PRECIS Representing Usernames and Passwords», https://wiki.debian.org/UserAccounts.